Subject: bug#18399: 24.4.50; nadvice :filter-args -vs- interactive

From: Michael Heerdegen <[email-masked]>
Date: Fri, 05 Sep 2014 01:11:04 +0200

Hi Stefan

> I installed the patch below, which I hope will help clear up such
> confusion.

Thanks, a good clarification.

But I'm not sure if that covers what Tom meant.

I myself was confused by the fact that :filter-args is the only case of
all advice types where the advice fun receives the arguments as a list.
It's a bit surprising, although the doc is clear and there are good
reasons for that "exception".  Maybe we could add a sentence to the
‘:filter-args’ paragraph of (info "(elisp) Advice combinators") like
 
  "Note that FUNCTION is called with only one argument, the list of
  arguments, for this advice type".

Although it is redundant, it may be good to emphasize it.

Michael.